Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPEmailFwdHandler

    java.lang.Object
      com.verisign.epp.framework.EPPEmailFwdHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  EmailFwdHandler

    public abstract class EPPEmailFwdHandler

extends java.lang.Object
implements EPPEventHandler

The `EPPEmailFwdHandler` class provides an interface for handling EPP EmailFwd Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPEmailFwdHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the EmailFwd Mapping will be handled there.

See Also:
  `EPPEventHandler`, `EPPEvent`

Constructor Summary
`EPPEmailFwdHandler()` Whenever an EPPEmailFwdHandler instance is created load the corresponsding Map Factory into the Codec

Method Summary
`protected abstract EPPEventResponse` | `doEmailFwdCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Check command is received.
`protected abstract EPPEventResponse` | `doEmailFwdCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Create command is received.
`protected abstract EPPEventResponse` | `doEmailFwdDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Delete command is received.
`protected abstract EPPEventResponse` | `doEmailFwdInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Info command is received.
`protected abstract EPPEventResponse` | `doEmailFwdRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Renew command is received.
`protected abstract EPPEventResponse` | `doEmailFwdTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Transfer command is received.
`protected abstract EPPEventResponse` | `doEmailFwdUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EmailFwd Update command is received.
`java.lang.String` | `getNamespace()` Returns the Namespace that this handler supports.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all emailfwd commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all emailfwd commands need to execute before they execute their command specific behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPEmailFwdHandler

    public EPPEmailFwdHandler()

  Whenever an EPPEmailFwdHandler instance is created load the corresponsding Map Factory into the Codec

Method Detail

### getNamespace

    public final java.lang.String getNamespace()

  Returns the Namespace that this handler supports. In this case, emailfwd.

  Specified by:
    `getNamespace` in interface `EPPEventHandler`
  Returns:
    String The Namespace that this handler supports

### handleEvent

    public final EPPEventResponse handleEvent(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

  This method receives an `EPPEvent` and routes it to the appropriate abstract method.

  Specified by:
    `handleEvent` in interface `EPPEventHandler`
  Parameters:
    `aEvent` - An `EPPEvent` that contains the `EPPCommand`
    `aData` - Any data that a Server needs to send to this `EPPContactHandler` instance
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all emailfwd commands need to execute before they execute their command specific behavior. The default implementation does nothing.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwdHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all emailfwd commands need to execute after they execute their command specific behavior. The default implementation does nothing

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwdHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doEmailFwdCreate

    protected abstract EPPEventResponse doEmailFwdCreate(EPPEvent aEvent,
                                                         java.lang.Object aData)

  Invoked when a EmailFwd Create command is received. Subclasses should define the behavior when a EmailFwd Create command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdDelete

    protected abstract EPPEventResponse doEmailFwdDelete(EPPEvent aEvent,
                                                         java.lang.Object aData)

  Invoked when a EmailFwd Delete command is received. Subclasses should define the behavior when a EmailFwd Delete command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdInfo

    protected abstract EPPEventResponse doEmailFwdInfo(EPPEvent aEvent,
                                                       java.lang.Object aData)

  Invoked when a EmailFwd Info command is received. Subclasses should define the behavior when a EmailFwd Info command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdCheck

    protected abstract EPPEventResponse doEmailFwdCheck(EPPEvent aEvent,
                                                        java.lang.Object aData)

  Invoked when a EmailFwd Check command is received. Subclasses should define the behavior when a EmailFwd Check command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdRenew

    protected abstract EPPEventResponse doEmailFwdRenew(EPPEvent aEvent,
                                                        java.lang.Object aData)

  Invoked when a EmailFwd Renew command is received. Subclasses should define the behavior when a EmailFwd Renew command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdTransfer

    protected abstract EPPEventResponse doEmailFwdTransfer(EPPEvent aEvent,
                                                           java.lang.Object aData)

  Invoked when a EmailFwd Transfer command is received. Subclasses should define the behavior when a EmailFwd Transfer command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doEmailFwdUpdate

    protected abstract EPPEventResponse doEmailFwdUpdate(EPPEvent aEvent,
                                                         java.lang.Object aData)

  Invoked when a EmailFwd Update command is received. Subclasses should define the behavior when a EmailFwd Update command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.